#ifndef DALI_ADAPTOR_DOC_H
#define DALI_ADAPTOR_DOC_H

/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/**
 * @defgroup dali_adaptor DALi Adaptor
 *
 * @brief DALi Adaptor is a platform adaptation layer.
 *
 * It initializes and sets up DALi appropriately and
 * provides many platform-related services with its internal module,
 * platform abstraction. Several signals can be connected to it to keep you informed when
 * certain platform-related activities occur.
 *
 * @section dali_adaptor_overview Overview
 *
 * DALi Adaptor consists of the following groups of API:
 *
 * <table>
 * <tr>
 *    <th>API Group</th>
 *    <th>Description</th>
 * </tr>
 * <tr>
 *    <td>@ref dali_adaptor_framework</td>
 *    <td>Classes for the adaption layer.</td>
 * </tr>
 * </table>
 *
 * \ifnot show_tizen_feature
 *
 * @section dali_toolkit_feature Related Features
 * This API is related with the following features:\n
 *    - http://tizen.org/feature/opengles.version.2_0\n
 *
 * It is recommended to design feature related codes in your application for reliability.\n
 *
 * You can check if a device supports the related features for this API by using @ref CAPI_SYSTEM_SYSTEM_INFO_MODULE, thereby controlling the procedure of your application.\n
 *
 * To ensure your application is only running on the device with specific features, please define the features in your manifest file using the manifest editor in the SDK.\n
 *
 * More details on featuring your application can be found from <a href="https://developer.tizen.org/development/tizen-studio/native-tools/configuring-your-app/manifest-text-editor#feature"><b>Feature Element</b>.</a>
 *
 * \endif
 *
 * @ingroup dali
 * @{
 *   @defgroup dali_adaptor_framework Adaptor Framework
 *   @brief Classes for the adaption layer.
 * @}
 */

#endif  /* DALI_ADAPTOR_DOC_H */
